diff --git a/CMake/variables.cmake b/CMake/variables.cmake
index d209642..a9420ef 100644
--- a/CMake/variables.cmake
+++ b/CMake/variables.cmake
@@ -31,6 +31,13 @@ if(LIB_fontconfig)
    list(APPEND FLTK_LDLIBS -lfontconfig)
 endif(LIB_fontconfig)
 
+if(USE_PANGO)
+  list(APPEND FLTK_LDLIBS -lpango-1.0 -lpangoxft-1.0)
+  if(NOT APPLE)
+    list (APPEND FLTK_LDLIBS -lgobject-2.0)
+  endif(NOT APPLE)
+endif(USE_PANGO)
+
 if(HAVE_DLSYM)
    list(APPEND FLTK_LDLIBS -ldl)
 endif(HAVE_DLSYM)
